Bug 4269 - Невозможность использовать русские шрифты
: Невозможность использовать русские шрифты
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/graphviz)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-31 20:50 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-31 20:50:44
При попытке использовать русские шрифты (драйвер gif, текст в utf-8) не
находятся шрифты. При этом в тексте ошибки указываются пути, по которому якобы
не найдены шрифты. Эти пути не имеют ничего общего с теми путями, к которыми
пытается обратиться graphviz (если посмотреть вывод strace)
------- Comment #1 From 2004-06-05 17:15:00 -------
fixed in graphviz-1.12-alt2
------- Comment #2 From 2004-06-05 17:17:34 -------
btw graphviz uses libgd2, which searches tt fonts in wrong place,
so using GDFONTPATH env var is mandatory